
#if !defined(AFX_CHILDVIEW_H__1BEC5030_905A_467D_BE6D_2CA9F4947518__INCLUDED_)
#define AFX_CHILDVIEW_H__1BEC5030_905A_467D_BE6D_2CA9F4947518__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif

#include "DlgExp.h"


class CChildView : public CWnd
{
public:
	CChildView();

public:

	//{{AFX_VIRTUAL(CChildView)
	public:
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

public:
	virtual ~CChildView();

protected:
	long			m_pages;
	long			m_zoom;
	CSize			m_szPage;
	CSize			m_szPageDP;
	CSize			m_scrd;
	CSize			m_offs;
	long			m_mapmode;
	s_pdfoptions	m_pdfopts;
	CString			m_expfile;


	void UpdScrollPos(long sb, long code, long pos);
	void UpdScrollInfo();
	void Draw(CDC* pDC, long page);
	CFont* SelectFont(CDC* pDC, LOGFONT* lf, CFont* f, CFont* fold);
	BYTE* GetDIBImage(const TCHAR* bm);
	long SelectPen(CDC* pDC, long style, long width, COLORREF col, CPen* p, CPen** pold, LOGBRUSH* lb = NULL, const TCHAR* bm = NULL);
	long SelectBrush(CDC* pDC, LOGBRUSH* lb, CBrush* b, CBrush** bold, const TCHAR* bm = NULL);
	void Export();
	void OnPrint();

#ifdef _USE_EXPCLASS_
	template<class T> void Print(T* pDC, long pgfrom, long pgto)
	{
		DOCINFO di;
		memset(&di, 0, sizeof(DOCINFO));
		di.cbSize = sizeof(DOCINFO);
		di.lpszDocName = _T("Export-DC Sample Document");

		int mm = pDC->SetMapMode(m_mapmode);
		pDC->StartDoc(&di);
		for(int i = pgfrom; i <= pgto; i++)
		{
			pDC->StartPage();
			Draw(pDC, i);
			pDC->EndPage();
		}
		pDC->EndDoc();
		pDC->SetMapMode(mm);
	}

#else

	void Print(HDC hDC, long pgfrom, long pgto, bool bExp);

#endif


	//{{AFX_MSG(CChildView)
	afx_msg BOOL OnCreate(LPCREATESTRUCT cs);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnPaint();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif
