unit EXPDC_DEF;

interface
uses
{$IFDEF WIN32}
  Windows;
{$ELSE}
  Wintypes, WinProcs;
{$ENDIF}

{$A+,Z+}

type
	TExpmode =
	(
		em_none {= 0}, 
		em_pdf {= 1 } 
	);

	TCorefont =
	(
		cf_times, 
		cf_helvetica, 
		cf_courier, 
		cf_symbol, 
		cf_zapfdingbats  
	);

	TFltpage =
	(
		fp_none, 
		fp_lzw, 
		fp_flate  
	);

	TFltfont =
	(
		ff_none, 
		ff_lzw, 
		ff_flate  
	);

	TFltcolimg =
	(
		fci_none, 
		fci_dct, 
		fci_flate  
	);

	TPdfOptions = record
		filterPages: TFltpage;
		filterFonts: TFltfont;
		filterColorImages: TFltcolimg;
		standardFontSubstitution: Bool;
	end;

const 
	EEXPDC_UNKNOWN = 1;
	EEXPDC_NOTINITIALIZED = 2;
	EEXPDC_INSUFFMEMORY = 3;
	EEXPDC_FILEEXISTS = 1000;
	EEXPDC_FILEPERMISSION = 1001;
	EEXPDC_FILEUNKNOWN = 1002;
	EEXPDC_NOSTARTDOC = 1003;
	EEXPDC_NOSTARTPAGE = 1004;

implementation
end.

